commit ec9faee52bf288d811f51071e405153b1a5b5a6b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   2011-10-12 16:26:35 -0400

    call-channel: add TPY_CALL_CHANNEL_FEATURE_CORE
    
    We shouldn't try to connect D-Bus signals in a constructed function
    (fdo #41729); this has to be done when preparing the core feature of the
    object so it is guaranteed that TpProxy has already been prepared.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41730

commit ebdba95e4738dc110e518671c17085561e7bd1dc
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-16 17:12:32 +0100

    Fix tpy_call_channel_accept_finish() return value
    
    Don't return TRUE when there was an error.

commit f3a8ad56b1c4731cb0198a11547aa71072f98c60
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-16 17:11:23 +0100

    Make tpy_call_channel_hangup_finish() actually do anything

commit 7f311e2c5f7e4af9e575b3b10ada5112004094ee
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-16 17:07:55 +0100

    Use a GAsyncResult for each async call
    
    So they can be made simultaneously.

commit 42f147f5771a4e9d83a46769a037e352e4b21e55
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-16 16:58:25 +0100

    CallChannel: add Hold high-level API

commit e4c3e2946055e8a995b452684a0441ee327a940a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-06-13 16:09:39 +0100

    Check for gio
    
    Needed by g_simple_async_* and others.

commit 301cee6d78085d746647373454c8ac0d2affb891
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-26 20:01:05 +0100

    Post-release bump

commit 3dafef1b373ded882429a711df2a91ead247de44
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-26 19:53:39 +0100

    version 0.0.3

commit c7e675abe4fbcad6ff6122f3c6d6523a247aa15a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-26 17:10:04 +0100

    Fix signal documentation

commit 2954fe8bfbcf70e01a11e15a6672b3a0c6f8d37c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-26 17:07:27 +0100

    Correctly track call members
    
    We were assuming that flags_changed in MembersChanged had all
    the call members, but that's not right as there may be several
    members and only a few changing their flags. We now correctly
    update the members.
    
    This also fixes a possible assertion failure when unreffing
    a NULL pointer.

commit 0410a2ea2db77992225a9456203ada051f3d3723
Merge: 9c27b83 7d8c170
Author: Marco Barisione <marco@barisione.org>
Date:   2011-05-25 17:00:33 +0100

    Merge branch 'error-checking'
    
    Reviewed-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7d8c170aa270b2f3f3ee1a7b03dddf584ae847bf
Author: Marco Barisione <marco@barisione.org>
Date:   2011-05-25 16:42:42 +0100

    Check the return value of functions instead of the GError when possible

commit 8fefa8c51304d898ee4c8ce7a00a2065c851d384
Author: Marco Barisione <marco@barisione.org>
Date:   2011-05-25 16:42:13 +0100

    Don't leak the GError in codec_offer_finished_cb

commit 78f3a20d5153d6c9e27a90a9c311515bd6275fc9
Author: Marco Barisione <marco@barisione.org>
Date:   2011-05-25 16:35:47 +0100

    tpy_call_content_codec_offer_offer_finish should return NULL instead of FALSE
    
    tpy_call_content_codec_offer_offer_finish's return type is GPtrArray,
    but in case of error it was returning FALSE instead of NULL.

commit 9c27b83d9ad0f2129a235e9a1ca59c1962e3bd79
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-20 14:48:00 +0100

    Post-release bump

commit 41c1350ceb44d61c738dc314ff567d9605cfa453
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-20 13:17:29 +0100

    version 0.0.2

commit 7ed7dbfa63d9496d053870c296feddce1f9b4658
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-20 13:22:26 +0100

    Add telepathy.am for maintainer-make-release

commit feec352ae75f939a7eb6e79265a7ab6ae293d1bd
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-20 13:25:32 +0100

    Add a ChangeLog file

commit 84efb3fa2159ceb9213fb2895147c7d98d77dc2c
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-05-20 13:02:04 +0100

    Fix docstrings for two TpyCallContent signals

commit 74c897a1de9fd8476e10899dcc344110373c3e00
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-05-17 16:23:45 +0100

    Don't Initialize member values in _constructed
    
    In _constructed the construct time properties will be set, so if set
    explictely then struct members in _constructed we'll overwrite them..

commit 63c07801390fb9ec1dc0dde627c1e53b7399eac7
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-05-15 22:04:09 -0500

    Fix version from post release bump commit

commit 56b3e908c5829f885a518c00924157d8997a8ebe
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   2011-05-15 17:52:22 -0500

    tpy_call_content_codec_offer_offer shouldn't own the cancellable

commit 179a352f0f8a248d54afe0fca93d1a78ccd8d6a5
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   2011-04-21 12:11:20 +1000

    Update .gitignore

commit 76ec85bbdad3b1260d3f32b26dceca9966195277
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-04-08 09:56:06 +0100

    Fix signal signature
    
    We're passing a GValueArray, not a GPtrArray.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647126

commit 7bd5d0c34a9b5658e89262111f4445e94573248f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-01 16:17:16 +0200

    Post-release bump

commit e6e6f3644adfca2fe0388c3e4fcd400ed05b5439
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-01 15:05:00 +0200

    version 0.0.1

commit b24e57790166949fc4ab1d5d9040ddbe16e5dd03
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-01 15:50:28 +0200

    Add infrastructure for libtool versioning

commit a9f9ad97bd3323f5b3bf366ac44149babdef9e98
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-01 14:54:46 +0200

    Enable shared library by default, static users should disable this

commit d4757919765ff0677f53fae45c121b7153a7df81
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-04-01 14:54:22 +0200

    Add a NEWS and README file

commit 47367965cd8f9ed9b72e8660f3f6887546e59927
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-23 14:46:52 +0000

    Fix typo

commit d13877d457fca3b01c216f0f59d6bb4188361977
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-23 11:52:39 +0000

    Add a ready property on the client object tree

commit caab8e2608d30d95404ae2b8140dedffbc74b5db
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-22 13:04:44 +0000

    Add API to get the current video state

commit 07cc52c009c7c282b86cbacdda9ed0557d6d9520
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-03-22 13:03:27 +0000

    Correct the streams-removed callback
    
    On stream removal we should emit streams-removed, not streams added.
    Also g_list_find_customs looks up a GList link, not a data element...

commit 506f7679d370b1f95393e3d1b28ba0b20e9dd7d7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-03-16 16:14:52 +0000

    Require GLib 2.28
    
    Needed for g_list_free_full.

commit d60bd53ce53dd5d527fc56a60302663b8529e697
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-03-08 17:01:18 +0000

    Don't pass a library suffix to ./configure

commit 96fd36a98877302ae4b71b23b3378332fb3d2fc0
Author: Danielle Madeley <danielle.madeley@collabora.co.uk>
Date:   2011-03-03 16:20:42 +1100

    Add service side headers to installed headers

commit 8000d05b26da199d68a5b27db33997ae6f8f2b40
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-03-02 15:42:12 +0000

    CallChannel: free the call details

commit 8e7c583889a050a24221aa2a4184e0f78a858141
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-03-02 13:02:40 +0000

    Check parameters in public APIs

commit 51feddf4ff90383e08761f380bb02cadd472f096
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-03-02 12:35:10 +0000

    Add a tpy_call_channel_get_state() accessor

commit 20dd3263a10b75a678088a80810cdb9cef480563
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 14:00:30 +0000

    Use the correct types for tp_asv_get_boxed

commit ac978e5e11a94ce25458605bb16ca4d218686c5a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 12:58:51 +0000

    Don't try to copy null boxed types

commit ae46a3af2aab0b3234fd221c937dcd758f5f2846
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 12:48:56 +0000

    Remove stray debug messages

commit e0a18521ef1eeff8358b5c348e6a8314267a9bfa
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 11:06:37 +0000

    CallChannel: do self->priv instead of declaring priv

commit cacf2c6649a1404637e57dd3a654c7c623c2a414
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 11:05:16 +0000

    CallChannel: remove commented out code

commit 5468e76e3702f4b8d7e459c43edc00a9bd8807a7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 11:01:01 +0000

    CallStream: use tp_asv_get_*

commit c3cd2e23ac81987bf1299cf02dfa7ee781bcdaec
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 10:57:33 +0000

    CallChannel: use tp_asv_get_*

commit aeaedca39671e409126491728d9ad5280b95463a
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 10:45:57 +0000

    CallContent: free name when destroying the object

commit 4b0b984159a4c643b2dfae6241bccf0509a4e077
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 10:37:05 +0000

    Use DEBUG instead of g_debug

commit 36865f1775cfad92ecf77feacffe24cadd3b7535
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-23 10:28:50 +0000

    Set our default proxy to _CALL_CONTENT

commit f1cdc642be160fd5973246e213e1714a97d90705
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:54:49 +0000

    call-channel: Implement tpy_call_channel_send_video

commit b1a96088b1b7cb8751a892d8f0c0eaae983825ff
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:54:07 +0000

    call-content: state recover the content information

commit 61823db2a5b278e28e34933772320f83067f9ab8
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:52:31 +0000

    call-content: Implement _get_streams

commit 03bbe324360aab65f4cf9fe1588fbee44590d258
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:51:08 +0000

    call-stream: Set our default proxy to _CALL_STREAM

commit 6933f3e1a0982fc97e4716ff5d35febfea812338
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:50:44 +0000

    call-stream: Pass ourselves as weak object for tp_cli_*

commit e37169291286b3cbdbd4f3585a25b13d98133bfe
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-23 09:49:46 +0000

    need to dup boxed values if we want to keep a copy/ref

commit 1ea134faad340ce35c47baaa3a24e988780a3056
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-02-22 10:44:58 +0000

    Don't try to compile statically

commit 1c14b24a902ddc835dac2366b3c3daec790972a7
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-22 10:15:23 +0000

    Remove a couple of unimplemented APIs
    
    And add a couple of accessors.

commit 52c00c0bdb6e25f91f4024aeb86de9c8824e376d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-18 14:36:39 +0000

    Add a TpyCallChannel class

commit 58c2fb93d63631dd99edaf5745b151b0dd1a80af
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-18 14:33:37 +0000

    Add a TpyCallContent class

commit 28dbf32e5e0bd1296b40bf3efd137f549520242d
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2011-02-18 14:32:42 +0000

    Add a TpyCallStream class

commit 070b7790bab62e44f98bb43be247ad36f1238c37
Author: Marco Barisione <marco@barisione.org>
Date:   2011-02-17 14:28:04 +0100

    configure.ac: Use AM_SILENT_RULES only if it's defined

commit e52f484b937cd4d127c650d87c8af0ee072115b1
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   2011-02-14 10:36:42 -0600

    Add Call.Content.I.VideoControl interface

commit 0bfc7ad0948042692286cd94d15fd09c534d0d53
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-02-02 18:26:52 +0000

    trivial whitespace fixes

commit 85cb540ad45fed9b953a71eea641714f0a9651ab
Merge: e119ea5 c2a5b06
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-02-02 18:20:09 +0000

    Merge remote branch alsuren/stream-fixes into master

commit e119ea5c68389142ee328c694cdf08eaae4720f0
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-02-02 15:11:17 +0000

    base-media-call-stream tp-farstream interop
    
    emit relay-info-changed *before* we say we're done getting it.
    also, turns out that if you actually set any relays, it segfaults. :$

commit a7da83a8e94c1b6053738ef9564bea00640a2237
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-02-01 16:32:58 +0000

    Implement LocalCredentials
    
    This also gives implementors a property that they can reliably listen to
    for ICE resets if they need to.
    
    Note to future self: it helps if you know how to use use
    tp_value_array_build and switch :$

commit 078fbaaad75a0e2def36e4f1af56a953aa8c8714
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-02-01 13:02:46 +0000

    base-media-call-stream: SetCredentials

commit c2a5b06a786365a9de3a6a786780762da3ee43c7
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-25 17:05:12 +0000

    make component into an enum

commit 6beaac941e4cbb3fd6046026ed9357fdfcafeae7
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-25 16:57:28 +0000

    fixup! Update to spec master (Stream_Component enum)

commit 3722be9b874d315e0e2c47045ee16b0adc6e3d30
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-25 16:41:46 +0000

    re-build when spec changes

commit 6c8f4904d3f2b7942ad76dc0d2a7edc7daf14c58
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-25 16:23:51 +0000

    Update to spec master (Stream_Component enum)

commit 7929cf4016d44cd5484ecd921f0f1650315a40ab
Merge: c5dc478 d958a6f
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-25 16:19:18 +0000

    Merge branch 'master' of git://git.collabora.co.uk/git/telepathy-yell

commit d958a6f086f11d0bc638db7796444095850f770f
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-25 14:43:21 +0000

    Update to spec master (change port from q to u in Candidate type)

commit c5dc47811ec1eba1e95e9374fcb97b66f73a10ac
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-20 20:35:20 +0000

    tpy_base_media_call_stream_set_relay_info allow-none

commit 24d4e61265449bb1652850d5e88a2504b1bdb60c
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-20 18:42:14 +0000

    make tpy_call_stream_endpoint_add_new_candidates const-correct

commit 6f2fc9a3575a19df9e0fad85b8808dd6383d879e
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-20 18:41:42 +0000

    tpy_base_media_call_stream_get_endpoints()

commit 17bb9a8b250a6dbf876bfeb9e39cab1d2331d032
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-20 18:39:54 +0000

    tpy_base_call_stream_{update_remote_member_states,remove_member}()
    
    sjoerd's tpy_base_call_stream_remote_member_update_state didn't emit the
    appropriate signals properly and tpy_base_call_stream_update_senders
    wasn't actually implemented.

commit b9f6ad6510538c293ac1e93673366a5550349698
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-20 18:36:06 +0000

    base-call-stream::local-sending-state is construct-only settable

commit 159ead450bff3b403f33d736a462827322a7e5d8
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-19 14:48:32 +0000

    ignore eclipse cruft

commit 1b78e36339a9aaf30c97988325b675b100565fe1
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-18 14:06:33 +0000

    Move local header to the top

commit adfced101c57b65178ba72a15a5ad921d7e9801e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-18 13:59:28 +0000

    HardwareStreaming is immutable

commit aa647a08a9bf9e5cc0792b308ab32e6b6f35f5f0
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 13:24:51 +0000

    Add Packetization property on D-Bus

commit 9d76101ec452229c715134838680fe3800c13f04
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 13:43:23 +0000

    Update spec files

commit 404b8301d2ace42fbbf31700fe7164a5c161274a
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 00:53:08 +0000

    Import TpyBaseMediaCallContent from gabble

commit 5dcf4b5da3d9374e627bebdc7c08819896a2e661
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-17 01:00:03 +0000

    Include global tp-glib header for TpDBusPropertiesMixinClass

commit 2121574c461feac642354138fb265481861bcd25
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-16 21:19:24 +0000

    Implement Content.Remove

commit f023b3695e8c84d519bf91712b9155f3816627a7
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-16 18:24:43 +0000

    Add TpyBaseCallChannel as refactored from gabble

commit 177f2174096bb884accf1ec8f1470cb756031686
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-16 18:08:00 +0000

    Add API for indicating call was acceptance
    
    Once a call is accepted all streams of initial contents should
    transition from PendingSend to Sending automagically. Add API to tell
    the Content it has been accepted and do this when applicable

commit 948c238d0ef2ebec67023b067204b88cb3d3d0f7
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-16 17:48:04 +0000

    Have C api to call SetSending
    
    Add a function with the same semantics as calling SetSending on D-Bus.
    Also change the vfunc set_sending prototype to return boolean instead of
    inferring errors from whether error is set. And guarantee to only call
    the vfunc when the sending state should change.

commit 4024cec30c8d24981f1a9ab82cf63ec197456c42
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-16 17:45:43 +0000

    First change local state, then emit signals saying we did so

commit ed4c5c726258ac34c994fd58e55f0baa1f07c621
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-14 17:54:18 +0000

    Don't give our stun-servers refcount away

commit c1370c7928935a3f78af7810b942103d08f65645
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-14 17:00:06 +0000

    Use variable names in function prototypes

commit 7da599e82994eee34542d6ee81d095a6727b31dd
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-14 16:52:15 +0000

    Make the comment in terms of the dbus name, not C name

commit b58657a8ec3f00c3aaf08b02f1755c04e17e035e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-14 16:43:48 +0000

    Fix lines > 80 chars

commit 4d4313d033d68c7235d64c18a3ca0d0f4bb9349e
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-14 16:40:46 +0000

    Remove some dead code

commit 551719a62a60ed53072024e870a034c489362fa6
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-14 14:18:24 +0000

    add optional callback for candidates_prepared
    
    telepathy-sofiasip probably cares about this method, but everything else
    can probably do without implementing it.

commit 9b20e37a07bd18545e4cef978198a27c4ac2b8a2
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-12 16:59:06 +0000

    Add BaseMediaCallStream

commit 22bf8377a783bb4cc9ffb4eb6e70b5706bad7350
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-12 16:43:56 +0000

    base-call-stream: implement CallStream methods using optional virtual functions

commit 4edd12d400047e190fad5093af764401c0964897
Author: David Laban <david.laban@collabora.co.uk>
Date:   2011-01-11 14:43:43 +0000

    Extract call-stream-endpoint from gabble

commit 980d348ef1346d9008c29e1e38c43f1367edd7f3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-13 15:15:16 +0000

    Bump dependency to tp-glib 0.13.10

commit e2b6974e19de4923477d845933a70784702a1475
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-11 19:42:30 +0000

    Add TpyBaseCallStream and TpyBaseCallContent

commit 2ec2f2edc2cdefde9a40ea119702aedfac97f3d0
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-06 17:41:44 +0000

    Use a spec directory layout more similar to tp-glib

commit d816c1531157428634b482c7ba02e2f4a28fb9d3
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   2011-01-07 18:20:00 +0000

    Add generated headers to BUILT_SOURCES
    
    Before building we need to ensure the generated headers are, well,
    generated. Force this via BUILT_SOURCES

commit db01ff07a16b4f3cb33ee03e2e8cbdeb99a602ec
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2010-12-22 16:15:10 +0000

    Only include _gen headers from the appropriate places
    
    This avoids including them several times

commit ffb2a32d6f3d4103f7c312fa69b586fa49374b16
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2010-12-22 15:52:54 +0000

    Add a telepathy-yell.h header

commit f6ff6a2e008fcfaeba068ccccaa288bc5c09a055
Author: Emilio Pozuelo Monfort <emilio.pozuelo@collabora.co.uk>
Date:   2010-12-22 15:48:49 +0000

    Install headers and the pc file when building a shared lib

commit e696df11dbfc5d50be846a12173d1d849d238af5
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-12-14 16:25:07 +0000

    yell: include extensions.h as a libtelepathy-yell.la source
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f4cafae8e962119c0848b400e5d39ca8dda73e14
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   2010-11-18 11:30:19 -0600

    Use TpDBusDaemon instead of tp_get_bus() to register objects

commit 9b4ec40f2697eb1c261c5b07bd4be718891b6e0e
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   2010-11-18 09:50:47 -0600

    Codecoffer -> CodecOffer

commit cbf1dbd2f3e75654614a125640c4d05d3189292e
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   2010-11-17 16:59:01 -0600

    Add TpyCallContentCodecoffer (and logging framework)
    
    TpyCallContentCodecoffer was stolen from gabble and ported to the latest Call
    API.  Since it contained some logging statements, I decided to add some basic
    logging to tp-yell as well.

commit 623b2e2a887c4b081034aa306cbe27ea2e972bac
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   2010-11-05 14:31:15 -0500

    Update spec for changes in codec offers

commit 57b55185d9babcfe7ca023b32389dae90efcf610
Author: Jonathon Jongsma <jonathon@quotidian.org>
Date:   2010-11-03 14:06:20 -0500

    Update to Call spec from git master

commit 128e2e6810dbb9e9e3544768fbb97d79164e803b
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-29 12:49:59 +0100

    COPYING: update
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 7c272e4808db52e31449523cf784f5228d651f56
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-29 12:49:08 +0100

    configure: change --enable-shared-library to --enable-library-suffix
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 82d22559f42c0e1bc3786687c0261d72e20ea2ac
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-29 12:36:40 +0100

    configure: increase dep on tp-glib
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f8954efffb5b845a3e6ea3ad9d314dc52a16c14a
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-29 12:36:07 +0100

    configure: depend on glib >= 2.26 for clarity
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit d8b09e8fb3846d7c02a8e8dc4dd9b9f7aebfe8a7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-29 12:35:39 +0100

    configure: use automake 1.11
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 46bdd911fafe82a0c5da418da318707ef8cae9f6
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 17:59:26 +0100

    add Mute Content interface spec
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 6df1328a4fb485f46c2785612525d31d62acf8be
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 16:49:36 +0100

    add an --enable-shared-library option
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f48d61387bc4bca10440aaeed932c9aab6882163
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 16:25:11 +0100

    don't install anything by default
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit ec879fa12d89d551b562a3de542c1501e1e2bf93
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 16:16:31 +0100

    be sure to actually create a library gabble can link to
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit 85b04521da7c6058df4f8e04a0b6d51bfb67f6c9
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 14:48:15 +0100

    add more headers like tp-glib
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit e8859a8f193b95e3e2b7e0cdb4c2a5642e39c1ac
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 14:07:57 +0100

    Makefiles: fix typos
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

commit f1416d10f69c45f68cf66e7b82bc2e23baa08128
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   2010-10-28 13:47:27 +0100

    initial commit
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>
